Bug 22854

Summary: Can't compile the developer versions
Product: POI Reporter: ralph <r.hotzel>
Component: POI OverallAssignee: POI Developers List <dev>
Status: RESOLVED INVALID    
Severity: normal CC: r.hotzel
Priority: P1    
Version: 2.0-pre2   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   

Description ralph 2003-08-31 20:35:17 UTC
Hey, 
I have some problems when I compile one of the dev version.

I'm using j2sdk1.4.1_02
I have to use the POI 1.9 or higher becourse I have to use makros.

Anytime when I try to compile my programm, I get the following error message: 
package org.apache.log does not exist
I just had implemented the commons-logging 1.02

Can you tell me what I have to do to compile one of the developers versions.
Which packages I'll have to download.

Actually I have another problem while reading an excelfile, which is bigger than
600KB.
Is this a generally problem or is it fixed in one of the latest versions?

greatings
Ralph
Comment 1 ralph 2003-09-01 10:32:08 UTC
I tryed to build the POI with ant.
IĀ“have downloaded all jar's but if I try to build ant: 
build - Ddist.dir="directory"dist
I get the error message that the build command is unknown. 
if I'm writing 
build - Ddist.dir=<directory>dist
I get the error message access denied.
I had set the path and the varialbles ANT_HOME and JAVA_HOME.
Actually I use JCreator for my programm. Please give me some tips what I have to
do to implement one of the devoloper versions in my programm.
Comment 2 Danny Mui 2003-09-01 18:43:25 UTC
The build process if run through ant.

run all unit tests:
ant test 
build jar:
ant dist